import { aM as m, aJ as s } from "./index-THhC4TET.js";
import { A as c } from "./AppCard-1cD7do0L.js";
import { u } from "./useIsAppEnabled-I_8ayZmb.js";
import l from "./EventTypeAppSettingsInterface-ovEc9F54.js";
const E = function({ eventType: e, app: t }) {
  var a;
  const { enabled: p, updateEnabled: n } = u(t), { disabled: r, getAppData: o, setAppData: d } = m();
  return /* @__PURE__ */ s.jsx(
    c,
    {
      app: t,
      switchOnClick: (i) => {
        n(i);
      },
      switchChecked: p,
      teamId: ((a = e.team) == null ? void 0 : a.id) || void 0,
      children: /* @__PURE__ */ s.jsx(
        l,
        {
          eventType: e,
          slug: t.slug,
          disabled: r,
          getAppData: o,
          setAppData: d
        }
      )
    }
  );
};
export {
  E as default
};
